# TODO:
# - ip_filter patch is broken (doesn't handle ipv6 addresses. Also causes
#   "rtorrent: CommandMap::insert(...) tried to insert an already existing key." error)
#
# Conditional build:
%bcond_without	xmlrpc		# build xmlrpc-c support
%bcond_without	colors		# without color version
%bcond_without	ipv6		# without IPv6 support
#
Summary:	rTorrent - a console-based BitTorrent client
Summary(pl.UTF-8):	rTorrent - konsolowy klient BitTorrenta
Name:		rtorrent
# keep stable line, see URL below
Version:	0.9.2
Release:	3
Epoch:		5
License:	GPL v2+
Group:		Applications/Networking
Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	72c3e9ab859bda7cc8aa96c0b508b09f
Source1:	rtorrent-tmux@.service
Patch0:		%{name}-colors.patch
Patch1:		%{name}-ssl-no-verify.patch
Patch2:		%{name}-ip_filter.patch
Patch3:		%{name}-build.patch
Patch4:		am.patch
URL:		http://libtorrent.rakshasa.no/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	curl-devel >= 7.12
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libtorrent-devel = 1:0.13.2
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
%if %{with xmlrpc}
BuildRequires:	xmlrpc-c-server-devel >= 1.14.2
%endif
BuildRequires:	zlib-devel
Suggests:	tmux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rTorrent is a console-based BitTorrent client. It aims to be a
fully-featured and efficient client with the ability to run in the
background using screen. It supports fast-resume and session
management.

%description -l pl.UTF-8
rTorrent to konsolowy klient BitTorrenta. Jego celem jest być pełnym i
wydajnym klientem, z możliwością uruchamiania go w tle przy użyciu
screena. Obsługuje szybkie wznawianie i zarządzanie sesjami.

%prep
%setup -q
%if %{with colors}
%patch0 -p1
%endif
%patch1 -p1
# broke, see TODO
#%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CXXFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--with%{!?with_xmlrpc:out}-xmlrpc-c

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{systemdunitdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p doc/rtorrent.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -p %{SOURCE1} $RPM_BUILD_ROOT%{systemdunitdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/rtorrent.rc
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/rtorrent.1*
%{systemdunitdir}/*.service
%changelog
* Mon Mar 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtorrent.git;a=log;h=master

* Mon Mar 18 2013 Artur Frysiak <artur@frysiak.net> ddeeedb
Fix BR for XML-RPC support

* Mon Mar 18 2013 Artur Frysiak <artur@frysiak.net> 824ecbe
Fix build with automake 1.13, added systemd service (not enabled by default, add tmux R)

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a4a4b19
- rel 2; colors patch is back

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b01ba5
- up to 0.9.2 but without colors patch

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a42f635
- rel 5; hack in ac patch to detect xmlrpc components/libs

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ce98848
- release 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> aa0b263
- release 3

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 474e66d
- stable note

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> a167d8d
- obsoleted

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> e70115d
- dropped -ncurses.patch

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> 592e42f
- taken from DEVEL

* Mon Jun 27 2011 lisu <lisu@pld-linux.org> 26bb2a3
- merged with DEVEL

* Sat Jun 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bc6f79c
- Epoch: 5 since 4 is already on ftp

* Sat Jun 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d7ee0
- up to 0.8.9

* Sat Jun 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dabcfab
- this patch is invalid - http://libtorrent.rakshasa.no/ticket/2518

* Wed May 11 2011 lisu <lisu@pld-linux.org> bec25ce
- proper rel

* Wed May 11 2011 lisu <lisu@pld-linux.org> 581bdd8
- reversed

* Wed May 11 2011 lisu <lisu@pld-linux.org> 287f3c8
- proper rel is 4

* Wed May 11 2011 lisu <lisu@pld-linux.org> 54ba857
- reversed
- epoch in libtorrent-devel BR

* Wed May 11 2011 lisu <lisu@pld-linux.org> 7724cef
- moved unstable version to DEVEL
- epoch 1

